# -*- coding: utf-8 -*-
from setuphelpers import *

"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls



def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("carmetal_setup*.exe")[0]

    # Installing the software
    print("Installing: %s" % bin_name)
    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT",
        key="{1132C151-4EEC-4901-BF1E-A5F3545BFAD2}_is1",
        min_version=package_version,
    )